"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultBuildOptions = void 0;
const esbuild_plugin_pnp_1 = require("@yarnpkg/esbuild-plugin-pnp");
const esbuild_ssr_css_modules_plugin_1 = __importDefault(require("esbuild-ssr-css-modules-plugin"));
function defaultBuildOptions() {
    return function (args) {
        return {
            plugins: [
                (0, esbuild_ssr_css_modules_plugin_1.default)({
                    jsCSSInject: false,
                    onCSSGenerated: args.onCSSGenerated,
                }),
                (0, esbuild_plugin_pnp_1.pnpPlugin)(),
            ],
            bundle: true,
            external: [
                'aws-sdk', // included in Lambda runtime environment
            ],
            minify: true,
            platform: 'node',
            format: 'cjs',
            target: 'node16.0',
            treeShaking: true,
            define: {
                'process.env.NODE_ENV': '"production"',
            },
            sourcemap: true,
            metafile: true,
        };
    };
}
exports.defaultBuildOptions = defaultBuildOptions;
//# sourceMappingURL=defaultBuildOptions.js.map